Bug 699548 - fetch-crl missing all perl dependencies on F15
Summary: fetch-crl missing all perl dependencies on F15
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fetch-crl
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 699546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-25 22:16 UTC by Steve Traylen
Modified: 2011-07-06 21:34 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-01 03:28:32 UTC


Attachments (Terms of Use)

Description Steve Traylen 2011-04-25 22:16:16 UTC
On Fedora 14:

$ rpm -q --requires fetch-crl-3.0.5-1.fc14.noarch | grep perl
/usr/bin/perl  
perl(File::Basename)  
perl(File::Temp)  
perl(Getopt::Long)  
perl(IO::Select)  
perl(IPC::Open3)  
perl(LWP)  
perl(POSIX)  
perl(Sys::Syslog)  
perl(Time::Local)  
perl(integer)  
perl(strict)  
perl(vars)  

While on Fedora 15

$ rpm -q --requires fetch-crl-3.0.6-1.fc15.noarch | grep perl

produces nothing.

This is because the behaviour of "file" has changed such that 
/usr/sbin/fetch-crl is not identified as a perl script since it 
contains control characters.

Depending on resolution of bug #699546 fetch-crl can be rebuilt or the
control characters can be patched out probably and then fetch-crl rebuilt.

Comment 1 Fedora Update System 2011-04-26 20:46:19 UTC
fetch-crl-3.0.6-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fetch-crl-3.0.6-2.fc15

Comment 2 Fedora Update System 2011-04-27 02:27:30 UTC
Package fetch-crl-3.0.6-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fetch-crl-3.0.6-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fetch-crl-3.0.6-2.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-01 03:28:28 UTC
fetch-crl-3.0.6-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2011-06-28 14:35:34 UTC
fetch-crl-3.0.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fetch-crl-3.0.7-1.fc15

Comment 5 Fedora Update System 2011-06-28 14:35:42 UTC
fetch-crl-3.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fetch-crl-3.0.7-1.el6

Comment 6 Fedora Update System 2011-07-06 21:33:59 UTC
fetch-crl-3.0.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.